> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.hellotracks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Jobs

> This endpoint deletes existing jobs.

You can delete one or multiple jobs via the `/deletejobs` endpoint.
Deleted jobs will be deleted entirely, this action cannot be undone.
Consider archiving jobs if you want to keep related data in the system.

### REQUEST

```shell theme={null}
POST https://api.hellotracks.com/api/deletejobs

{
	data: {
		jobs: [
			"<job_id_1>",
			"<job_id_2>",
			   ...
			"<job_id_n>"
		]
	}
}
```

<ParamField body="jobs" type="array" required>
  An array of job IDs to delete. Jobs can be identified by their `id` or by using the template prefix (`tpl-`) for template jobs.
</ParamField>

<Warning>
  **Permanent Deletion:** This action permanently deletes jobs and cannot be undone. Consider using `/archivejobs` if you want to preserve job data for potential restoration.

  **Permissions:** Only administrators and company owners can delete jobs. Dispatchers can only delete jobs if the `dispatcher_delete_jobs` setting is enabled.
</Warning>

If successful, you'll get `status:0` and the deleted job objects in the response.

### RESPONSE

```shell theme={null}
{
	status: 0,
	jobs: [
		{ <job_1> },
		{ <job_2> }
	]
}
```
